key: elasticsearch
title: Elasticsearch
description: Elasticsearch is a distributed, RESTful search and analytics engine capable of solving a growing number of use cases.
author: requarks.io
logo: https://static.requarks.io/logo/elasticsearch.svg
website: https://www.elastic.co/products/elasticsearch
isAvailable: true
props:
  apiVersion:
    type: String
    title: Elasticsearch Version
    hint: Should match the version of the Elasticsearch nodes you are connecting to
    order: 1
    enum:
      - '8.x'
      - '7.x'
      - '6.x'
    default: '7.x'
  hosts:
    type: String
    title: Host(s)
    hint: Comma-separated list of Elasticsearch hosts to connect to, including the port, username and password if necessary. (e.g. http://localhost:9200, https://user:pass@es1.example.com:9200)
    order: 2
  verifyTLSCertificate:
    title: Verify TLS Certificate
    type: Boolean
    default: true
    order: 3
  tlsCertPath:
    title: TLS Certificate Path
    type: String
    hint: Absolute path to the TLS certificate on the server.
    order: 4
  indexName:
    type: String
    title: Index Name
    hint: The index name to use during creation
    default: wiki
    order: 5
  analyzer:
    type: String
    title: Analyzer
    hint: 'The token analyzer in elasticsearch'
    default: simple
    order: 6
  sniffOnStart:
    type: Boolean
    title: Sniff on start
    hint: 'Should Wiki.js attempt to detect the rest of the cluster on first connect? (Default: off)'
    default: false
    order: 7
  sniffInterval:
    type: Number
    title: Sniff Interval
    hint: '0 = disabled, Interval in seconds to check for updated list of nodes in cluster. (Default: 0)'
    default: 0
    order: 8
